cURL
curl --request GET \
--url 'https://api.momentum.io/v1/signals/42/executions?executionFrom=2025-01-01T00:00:00Z&executionTo=2025-01-31T23:59:59Z&pageNumber=1&pageSize=10&includeCustomInstructions=true' \
--header 'X-API-Key: YOUR_API_KEY'
const response = await fetch(
"https://api.momentum.io/v1/signals/42/executions?executionFrom=2025-01-01T00:00:00Z&executionTo=2025-01-31T23:59:59Z&pageNumber=1&pageSize=10&includeCustomInstructions=true",
{
headers: { "X-API-Key": "YOUR_API_KEY" },
}
);
const data = await response.json();
import requests
response = requests.get(
"https://api.momentum.io/v1/signals/42/executions",
headers={"X-API-Key": "YOUR_API_KEY"},
params={
"executionFrom": "2025-01-01T00:00:00Z",
"executionTo": "2025-01-31T23:59:59Z",
"pageNumber": 1,
"pageSize": 10,
"includeCustomInstructions": "true",
},
)
data = response.json()
req, _ := http.NewRequest("GET",
"https://api.momentum.io/v1/signals/42/executions?executionFrom=2025-01-01T00:00:00Z&executionTo=2025-01-31T23:59:59Z&pageNumber=1&pageSize=10&includeCustomInstructions=true",
nil)
req.Header.Set("X-API-Key", "YOUR_API_KEY")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
{
"signals": [
{
"signalId": 123,
"signalName": "<string>",
"triggeredAt": "2023-11-07T05:31:56Z",
"sourceId": "<string>",
"sourceTitle": "<string>",
"prompt": "<string>",
"reason": "<string>",
"salesforceAccountId": "<string>",
"salesforceAccountName": "<string>",
"salesforceOpportunityId": "<string>",
"salesforceOpportunityName": "<string>",
"salesforceLeadId": "<string>",
"salesforceLeadName": "<string>",
"sourceType": "<string>",
"hostEmail": "<string>",
"attendeeEmails": [
"jsmith@example.com"
],
"customInstructions": [
{}
]
}
],
"pageCount": 123
}{
"error": "<string>"
}{
"error": "Internal server error"
}Signals V1
Retrieve signal executions
Retrieves a paginated list of signal executions (triggered signals) for a specific prompt within a given time range.
GET
/
v1
/
signals
/
{promptId}
/
executions
cURL
curl --request GET \
--url 'https://api.momentum.io/v1/signals/42/executions?executionFrom=2025-01-01T00:00:00Z&executionTo=2025-01-31T23:59:59Z&pageNumber=1&pageSize=10&includeCustomInstructions=true' \
--header 'X-API-Key: YOUR_API_KEY'
const response = await fetch(
"https://api.momentum.io/v1/signals/42/executions?executionFrom=2025-01-01T00:00:00Z&executionTo=2025-01-31T23:59:59Z&pageNumber=1&pageSize=10&includeCustomInstructions=true",
{
headers: { "X-API-Key": "YOUR_API_KEY" },
}
);
const data = await response.json();
import requests
response = requests.get(
"https://api.momentum.io/v1/signals/42/executions",
headers={"X-API-Key": "YOUR_API_KEY"},
params={
"executionFrom": "2025-01-01T00:00:00Z",
"executionTo": "2025-01-31T23:59:59Z",
"pageNumber": 1,
"pageSize": 10,
"includeCustomInstructions": "true",
},
)
data = response.json()
req, _ := http.NewRequest("GET",
"https://api.momentum.io/v1/signals/42/executions?executionFrom=2025-01-01T00:00:00Z&executionTo=2025-01-31T23:59:59Z&pageNumber=1&pageSize=10&includeCustomInstructions=true",
nil)
req.Header.Set("X-API-Key", "YOUR_API_KEY")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
{
"signals": [
{
"signalId": 123,
"signalName": "<string>",
"triggeredAt": "2023-11-07T05:31:56Z",
"sourceId": "<string>",
"sourceTitle": "<string>",
"prompt": "<string>",
"reason": "<string>",
"salesforceAccountId": "<string>",
"salesforceAccountName": "<string>",
"salesforceOpportunityId": "<string>",
"salesforceOpportunityName": "<string>",
"salesforceLeadId": "<string>",
"salesforceLeadName": "<string>",
"sourceType": "<string>",
"hostEmail": "<string>",
"attendeeEmails": [
"jsmith@example.com"
],
"customInstructions": [
{}
]
}
],
"pageCount": 123
}{
"error": "<string>"
}{
"error": "Internal server error"
}Authorizations
API key for authenticating requests
Path Parameters
The ID of the signal prompt to retrieve executions for.
Required range:
x >= 1Query Parameters
Filter executions starting from this date-time (ISO 8601 format). Required.
Filter executions up to this date-time (ISO 8601 format). Defaults to current time if not specified.
The page number to retrieve (1-based indexing). Defaults to 1 if not specified.
Required range:
x >= 1The maximum number of executions to return per page. Must be between 1 and 50. Defaults to 10 if not specified.
Required range:
1 <= x <= 50Whether to include custom instruction outputs (follow-up prompts) in the response. Defaults to false.

